will the new keyboard work with an older Mac?

Follow this Question

7 Answers from the Community

  • Answer

    As long as the computer is capable of upgrading to El Capitan. The computer must be on at least OS X 10.11 and must be bluetooth compatible as well.

    Was this useful? Answer 1

    3 of 4 people found this useful

  • Only if it's running 10.11 El Capitan

    Was this useful? Answer 2

    2 of 2 people found this useful

  • Nope, even the relatively recent Yosemite (10.10) does not work, you need to have El Capitan (10.11).

    Was this useful? Answer 3

    3 of 5 people found this useful

  • As long as the older Mac has Bluetooth, it'll work. Newer Bluetooth devices are backwards compatible.

    Was this useful? Answer 4

    2 of 4 people found this useful

  • As long as it's running OS X 10.11 (El Capitan) yes.

    Was this useful? Answer 5

    0 of 0 people found this useful

  • Yes and no. some functionality will not be there. This is required for 10.11 or newer. Same with the Magic Mouse 2 and Magic Trackpad 2.

    Was this useful? Answer 6

    0 of 2 people found this useful

  • As long as it runs OS X 10.11 or later, it should.

    Was this useful? Answer 7

    0 of 2 people found this useful

Similar Questions

See more Similar Questions